<?php
include_once('c_page.php') ;
class c_page_demo extends c_page
{
  function check_access()
  {
	 return(1) ;
  }

	function block_main()
  { ?><h1>group_create</h1><?
    $data=array() ;
    $data['group_id']=1 ; // ID родительской группы
    $data['name']='Группа № '.rand(1,10000) ;
    $result_group=ACCOUNTS()->GROUP_create($data) ;
    if ($result_group['id']) echo 'Создана группа: <strong>'. $data['name'].'</strong> ['.$result_group['id'].']<br>' ;
    else                     echo 'Ошибка при создании группы: '.$result_group['error'].'<br>' ;

    ?><h1>account_create</h1><?
    $data=array() ;
    $data['rol']=2 ; // 2 - фельдшер
    $data['group_id']=$result_group['id'] ; // группа
    $data['login']=rand(1,100000) ;
    $data['password']=rand(1,100000) ;
    $data['name']='Оператор '.$data['login'] ;
    $data['UID']=ENGINE()->generate_UID() ;
    $result_account=ACCOUNTS()->account_create($data) ;
    if ($result_account['id']) echo 'Создан аккаунт: <strong>'.$data['name'].'</strong> ['.$result_account['id'].']<br>' ;
    else                       echo 'Ошибка при создании группы: '.$result_account['error'].'<br>' ;

    ?><h1>terminal_create</h1><?
    $data=array() ;
    $data['group_id']=$result_group['id'] ; // группа
    $data['id']=rand(1,100000) ;
    $data['ip']='192.168.1.'.rand(1,255) ;
    $data['profil']=1 ; // id профиля
    $data['name']='Терминал '.$data['id'] ;
    $result_terminal=ESMO()->terminal_create($data) ;
    if ($result_account['id']) echo 'Создан терминал: <strong>'.$data['name'].'</strong> ['.$result_terminal['id'].']<br>' ;
    else                       echo 'Ошибка при создании терминала: '.$result_terminal['error'].'<br>' ;

    reboot_engine() ;
    
    ?><h1>personal_create</h1><?
    $data=array() ;
    $data['uid']=ENGINE()->generate_UID() ;
    $data['propusk']=rand(1,1000000) ; // пропуск
    $data['driving']='' ;  // в/у
    $data['tab_number']='' ; // табельный номер
    $data['name']='Иванов Иван '.$data['propusk'] ;
    $data['dr']='01.01.2000' ;
    $data['pol']=0 ; // 0 - м. 1 - ж
    $data['org_name']='СтройКомплект' ;
    $data['otdel_name']='Отдел № '.rand(1,10) ;
    $data['working_name']='Специалист' ;
    $personal_id=PERSONAL()->personal_create($data) ;
    echo 'Создан сотрудник: '.$personal_id.'<br>' ;

    // начинаем смену врача
    ?><h1>account autorize</h1><?
    $rec_account=ACCOUNTS()->get_member_by_id($result_account['id']) ;
    //damp_array($rec_account,1,-1) ;
    ACCOUNTS()->member_autorize($rec_account,array('debug'=>1)) ;


    include(_DIR_EXT.'/aspmo_server/c_server.php') ;
    ?><h1>check_access</h1><?
    // добавляем МО
    // для упрощения берем заранее подготовленный массив и вписываем туда необходимые данные
    $json=file_get_contents(_DIR_TO_ROOT.'/logs/check_access_2015_08_05_09_01_10.html') ;
    $data_in=json_decode($json,true) ;

    $rec_personal=PERSONAL()->get_personal_by_id($personal_id) ;
    $rec_terminal=ESMO()->get_terminal_by_id($result_terminal['id']) ;
    ESMO()->terminal_save($result_terminal['pkey'],array('video'=>1,
                                                         'tonometer'=>1,
                                                         'thermometer'=>1,
                                                         'alcotester'=>1,
                                                         'pupilometer'=>1,
                                                         )) ;
    $rec_terminal=ESMO()->get_terminal_by_id($result_terminal['id']) ;
    //damp_array($rec_terminal,1,-1) ;


    $data_in['args']['id']['user']=$rec_personal['propusk'] ;
    $data_in['args']['id']['terminal']=$rec_terminal['id'] ;

    ?><h2>Входные данные</h2><?
    damp_array($data_in,1,-1) ;

    $obj_server=new c_page_server(array('data_in'=>$data_in,'operation'=>'check_access')) ;
    $obj_server->result_stream='array' ;
    $obj_server->body() ;

    ?><h2>Выходные данные</h2><?
    damp_array($obj_server->data_out,1,-1) ;


    if ($obj_server->data_out['args']['message']=='success')
    {   ?><h1>examination_result</h1><?
        // добавляем МО
        // для упрощения берем заранее подготовленный массив и вписываем туда необходимые данные
        $json=file_get_contents(_DIR_TO_ROOT.'/logs/examination_result_2015_08_05_12_59_26.html') ;
        $data_in=json_decode($json,true) ;
        $data_in['args']['id']['user']=$obj_server->data_out['args']['id']['user'] ;
        $data_in['args']['id']['medexam']=$obj_server->data_out['args']['id']['medexam'] ;

        ?><h2>Входные данные</h2><?
        damp_array($data_in,1,-1) ;


        $obj_server=new c_page_server(array('data_in'=>$data_in,'operation'=>'examination_result')) ;
        $obj_server->result_stream='array' ;
        $obj_server->body() ;
        ?><h2>Выходные данные</h2><?
        damp_array($obj_server->data_out,1,-1) ;
    }
  }
}
?>